#include "crc_common.h"
#include "unity.h"

#include "crc32.h"

void setUp(void) {}

void tearDown(void) {}

void test_crc32_check(void) {
  TEST_ASSERT_EQUAL_HEX(crc32_checksum(CRC_CHECK_DATA, CRC_CHECK_DATA_LEN),
                        0xCBF43926);
  TEST_ASSERT_EQUAL_HEX(crc32_checksum("Hello World", 11), 0x4a17b156);
}
